GuidesAPI Reference
API Reference

Get features which intersects the provided geometry.

List the features which are inside the specified radius. The origin point is calculated based on the geometry provided as payload.

Path Params
string
required

The unique identifier of the layer.

Query Params
integer

Radius in meters which defines the diameter of the search request.

integer

The maximum number of features in the response. Default is 30000. Hard limit is 100000.

boolean

If set to true the features' geometries are clipped to the geometry of the tile, bounding box or input geometry. Default is false.

params
object

Additional feature filters which compare the feature's property value with the one specified in the query, resulting in a subset of features.

The usage of multiple property names represents an AND operation. The usage of a comma (,) separating the properties values, represents an OR operation.

Properties initiated with 'f.' are used to access values which are added by default in the stored feature. The possible values are: 'f.id', 'f.createdAt', 'f.updatedAt'.

Properties initiated with 'p.' are used to access values in the stored feature which are under the 'properties' property. Use it as a shorthand accessor for 'properties' values.

The format should follow the specification below

  • ?p.property_name_1=property_value_1&f.special_property_name_1=special_property_value_1

For example, the above query, the Features are filtered by 'property' AND 'special property' equals to their respective values.

While in the following example

  • ?p.property_name_1=value_1,value_2

The resulting Features list contains all elements having value_1 OR value_2.

Additionally, to the operators used in the examples above, the query can be written, with the same semantic, by using the long operators: "=gte=", "=lte=", "=gt=", "=lt=" and "=cs=". The following queries yield the same result:

  • ?p.property_name_1>=10
  • ?p.property_name_1=gte=10

The available operators are:

  • "=" - equals
  • "!=" - not equals
  • "=.null" - is null
  • "!=.null" - is not null
  • ">=" or "=gte=" - greater than or equals
  • "<=" or "=lte=" - less than or equals
  • ">" or "=gt=" - greater than
  • "<" or "=lt=" - less than
  • "@>" or "=cs=" - Array contains
selection
array of strings

A list of properties to be returned in the features result list. Multiple attributes can be specified by using comma(,).

Example: ?selection=p.name,p.capacity,p.color,rootpropertyname

  • !geometry : special value to omit geometries
selection
boolean

If set to true the response is not returned from cache. Default is false.

boolean

If set to true the features in the response have only X's and Y's as coordinates.

string

The query parameter used to specify the version of a feature or feature collection to be loaded.

string
Defaults to HEAD

The query parameter used to specify the target version reference when reading or writing features. A reference describes a target tag or a version.

Default is: HEAD


Depending on the use-case it can be necessary to specify a range of versions rather than only one version. In such a case the version part of the Ref would look like: `..`

Where <start> is the start of the range (exclusive) and <end> is the end of the range (inclusive).

Another way of specifying a version range is using the star-symbol: *

Using * refers to "all available versions" in the space or branch and is only applicable in the cases in which a version range may be provided.


Samples: - `42` points to version 42 - `HEAD` points to the latest version - `myTag` points to the version of the tag with ID "myTag" - `0..HEAD` points to all available versions - `*` also points to all versions (short form) - `5..10` points to the versions in the interval `]5, 10]`
Body Params

A geometry request.

string
required
bbox
array of numbers

Describes the coordinate range of the GeoJSON object.

bbox
Headers
string
enum
Defaults to application/geo+json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/geo+json
application/json